﻿using Rechnen.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Rechnen
{
    /// <summary>
    /// Interaktionslogik für ViewRechnen.xaml
    /// </summary>
    public partial class ViewRechnen : Window
    {
        // Anlage einer Variablen der Klasse 
        // RechnenViewModel, Punkt 12 -->
        RechnenViewModel _rvm = new RechnenViewModel();
        // <--

        public ViewRechnen()
        {
            InitializeComponent();
            // Punkt 12 -->
            // Bindung zur Laufzeit, das Formular bekannt geben
            this._rvm.Formular = this;
            // wichtig für die Bindung des ViewModels an die View
            // die Eigenschaft DataContext
            this.DataContext = _rvm;
            // <--
        }
    }
}
